List BGP Filter Profiles
GET/accounts/{account_id}/magic/bgp/filter_profiles
Lists all BGP filter profiles for an account.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
List BGP Filter Profiles
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/bgp/filter_profiles \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": [
{
"id": "c4a7362d577a6c3019a474fd6f485821",
"description": "Allowed corporate subnets from on-premises",
"match_action": "allow",
"name": "Allowed On-Prem Imports",
"targets": [
"10.0.0.0/8{8,32}"
],
"created_on": "2019-12-27T18:11:19.117Z",
"modified_on": "2019-12-27T18:11:19.117Z"
}
],
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": [
{
"id": "c4a7362d577a6c3019a474fd6f485821",
"description": "Allowed corporate subnets from on-premises",
"match_action": "allow",
"name": "Allowed On-Prem Imports",
"targets": [
"10.0.0.0/8{8,32}"
],
"created_on": "2019-12-27T18:11:19.117Z",
"modified_on": "2019-12-27T18:11:19.117Z"
}
],
"success": true
}